<?php
/******************************************************************************
 *                         Check Item Stock
 *                    ------------------------------
 *   Filename:             checkitemstock.php
 *   Project:              Uzzisoft - PHP Business Management System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.0
 *   Build Date:           2004-05-15
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Checks an items stock level (high, medium or low).
 *
 *****************************************************************************/
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Check Item Stock</title>
</head>
<body>

<?php
  $time = time();

  // Check if there is a cookie, if there isn't then redirect to login screen
  if (!isset($_COOKIE['cookie_info'])) {
      include ("index.htm");
      exit;
  }

  // If there is a cookie, validate the cookie
  else {

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Header
          include("header.php");
          login();

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

          // Get username from Database and it in a variable
          $query = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
          $nameuser = mysql_result($query,0,13);

          echo "<b><center><font face='Verdana'>Check Item Stock</font></b></center></p>";
?>

<form action="checkitemstock.php" method="POST">
<table border="0" width="100%" id="table3" height="91">
  <tr>
    <td width="249" height="32">&nbsp;</td>
    <td height="32"> <font face="Verdana">Item ID:</font></td>
    <td width="266" height="32"> <input type="text" name="itemid"/></td>
    <td width="341" height="32"> &nbsp;</td>
  </tr>
  <tr>
    <td width="249" height="53">&nbsp;</td>
    <td height="53"> &nbsp;</td>
    <td height="53" width="266">
    <input type="submit" value="Check Item Stock">
    <input type="reset" value="Reset"></form> </tr>
    <td height="53" width="341">&nbsp;</td>
  </tr>
</table>


<?php

  $itemid = $_POST["itemid"]; // Item ID to check stock level

  // Check that item exists in database
  $checkitem = mysql_query("SELECT * FROM items WHERE itemno = '$itemid'");
  $checkitem1 = mysql_num_rows($checkitem);

  // If something was actually typing in the itemid
  if ($itemid) {

      // If there is no such item as the one typed in
      if ($checkitem1 == 0) {
          echo "<font face='Verdana' size='3'><center>No such item as $itemid<BR><BR>";
      }
      else {

          // Check the stock and print either low, medium or high
          $checkstock = mysql_result($checkitem,0,2);

          if ($checkstock == 0) {
              echo "<td width='112' align='center'><font face='Verdana'>Out of Stock($checkstock)</font></td>";
          }
          if ($checkstock <= 5) {
              echo "<center><font face='Verdana'>Stock of $itemid is Low($checkstock)</font></center>";
          }
          if ($checkstock >= 6 && $checkstock <= 20) {
              echo "<center><font face='Verdana'>Stock of $itemid is Medium($checkstock)</font></center>";
          }
          if ($checkstock > 20) {
              echo "<center><font face='Verdana'>Stock of $itemid is High($checkstock)</font></center>";
          }
      }
  }

      // If user and password are not correct print error message
      }
      else {
          echo "Incorrect username/password";
          exit;
      }
  }
?>

</body>
</html>