<?php
/******************************************************************************
 *                         Create New USer
 *                    ------------------------------
 *   Filename:             createnewuser.php
 *   Project:              Uzzisoft - PHP Business Management System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.0
 *   Build Date:           2004-05-15
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Checks if the user is the admin, allows user to create new staff from the
 *   form.
 *
 *****************************************************************************/
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Create New User</title>
</head>

<?php

  $time = time();

  // Check if there is a cookie, if there isn't then exit!
  if (!isset($_COOKIE['cookie_info'])) {
      echo "Cannot access this page: You aren't logged in";
      exit;
  }

  // If there is a cookie, validate the cookie
  else {

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Header
          include("header.php");
          login();

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

  // Check the level of the user
  $checklevel = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
  $checklevel1 = mysql_result($checklevel,0,14);

  // If the user is the admin
  if ($checklevel1 == 1) {

  // Variables that data come from the submission form
  $username = $_POST["user"];      // Username that will be MD5'ed
  $usernamereal = $_POST["user"];  // Username
  $password = $_POST["pass"];      // Password that will be MD5'ed
  $name =  $_POST["name"];         // Name
  $address = $_POST["address"];    // Address
  $suburb = $_POST["suburb"];      // Suburb
  $state = $_POST["state"];        // State
  $postcode = $_POST["postcode"];  // Postcode
  $phone1 = $_POST["phone1"];      // Phone Number 1
  $phone2 = $_POST["phone2"];      // Phone Number 2
  $emailaddress = $_POST["email"]; // Email Address

  // Get IP Address of user
  $ipaddress = $_SERVER["REMOTE_ADDR"];

  /* Check if all the sections are completed as a whole, then if one isn't
  filled out display the error message for that/those particular variables. */
  echo "<center>";
  if ((!$username) || (!$password) || (!$name) || (!$address) || (!$suburb) || (!$state) || (!$postcode) || (!$phone1) || (!$phone2) || (!$emailaddress)) {
      echo "You didn't submit the following required information:<br><br>";

      if(!$username) {
          echo "Please enter a username<br>";
          }
      if (!$password) {
          echo "Please enter a password<br>";
      }
      if (!$name) {
          echo "Please enter a name<br>";
      }
      if (!$address) {
          echo "Please enter a address<br>";
      }
      if (!$suburb) {
          echo "Please enter a suburb<br>";
      }
      if (!$state) {
          echo "Please enter a state<br>";
      }
      if (!$postcode) {
          echo "Please enter a postcode<br>";
      }
      if (!$phone1) {
          echo "Please enter a phone number for phone number 1<br>";
      }
      if (!$phone2) {
          echo "Please enter a phone number for phone number 2<br>";
      }
      if (!$emailaddress) {
          echo "Please enter a email address<br>";
      }

      exit(); // If there are errors then we quit this script
  }

  // Check if postcode is a numeric
  if ((!is_numeric($postcode))) {
        echo "Please enter a postcode";
        exit();
  }

  // Check if phone number 1 is a numeric
  if ((!is_numeric($phone1))) {
        echo "Please enter a phone number for phone number 1";
        exit();
  }

  // Check if phone number 2 is a numeric
  if ((!is_numeric($phone2))) {
        echo "Please enter a phone number for phone number 2";
        exit();
  }

  // Use Connect Script
  include("connect.php");

  // Get date from MySQL Server
  $currentdatetime = mysql_query('select now()');
  $curdatetime = mysql_result($currentdatetime,0);

  /* Check if username exists. If not then add all data to the database.
  If so then ask user for another name to try. */

  // MD5 Username and Password
  $username = MD5($username);
  $password = MD5($password);

  // Check if the username exists
  $usernameinuse = mysql_query("SELECT * FROM userdata WHERE userid = '$username'");
  $isusernameinuse = mysql_num_rows($usernameinuse);

  // If username exists then print error message and exit script
  if ($isusernameinuse == 1) {
      echo "The username you selected is already been used by another member.<BR>Go back and select a new username";
      exit;
  }

  else {

      // Find out how many users there are so that you can determine the next user number
      $usercount = mysql_query("SELECT * FROM userdata");
      $noofusers = mysql_num_rows($usercount);

      // New user number = User number + 1
      $usernumber = $noofusers + 1;

      // Insert the new user to the database since everything is fine
      mysql_query("INSERT INTO userdata VALUES ('$username','$password','$name','$address','$suburb','$state','$postcode','$phone1','$phone2','$emailaddress','$curdatetime','$ipaddress','$usernumber','$usernamereal','2')");

      // Print Successful Creation of user message
      echo "<font face='Verdana'>User " . $usernamereal . " has been created successfully.";
  }
  }
     // If user and password are not correct print error message
     }
     else {
         echo "Incorrect username/password";
         exit;
     }
  }
  echo "</center>";
?>

</body>
</html>