<?php
/******************************************************************************
 *                         Customer Purchases Process Transaction
 *                    ------------------------------
 *   Filename:             customerpurchases_processtransaction.php
 *   Project:              Uzzisoft - PHP Business Management System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.0
 *   Build Date:           2004-05-15
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Checks to see if the user is staff and allows the user to finialise the
 *   transaction and they can print the tax invoice.
 *
 *****************************************************************************/
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Customer Purchases</title>
</head>

<?php

  $time = time();

  // Check if there is a cookie, if there isn't then redirect to login screen
  if (!isset($_COOKIE['cookie_info'])) {
      include ("index.htm");
      exit;
  }

  // If there is a cookie, validate the cookie
  else {

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

          // Get username from Database and it in a variable
          $query = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
          $nameuser = mysql_result($query,0,13);

  // Check the level of the user
  $checklevel = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
  $checklevel1 = mysql_result($checklevel,0,14);

  // If the user is staff
  if ($checklevel1 == 2) {

  $data = file('temp.txt'); // read the file

  // If there is a number in the file then use that as the temp table number
  if ($data[0]) {

      // Count the items in the temp table
      $countitem = mysql_query("SELECT * FROM temp$data[0]");
      $countitem1 = mysql_num_rows($countitem);

      // Check that the quantity doesn't exceed the items stock
      for ($y = 0; $y < $countitem1; $y++) {
          $query = mysql_query("SELECT * FROM temp$data[0]");
          $itemid = mysql_result($query,$y,0);
          $quantity = mysql_result($query,$y,1);
          $querystock = mysql_query("SELECT * FROM items WHERE itemno = '$itemid'");
          $stock = mysql_result($querystock,0,2);

          // If the quantity was more than the stock available then exit
          if ($quantity > $stock) {
              echo "<center><font face='Verdana' size='2'>Out of Stock for Item $itemid, Quantity exceeds Stock<br></center>";
              exit();
          }
      }

      /* Deduct the quantity by the stock so we know how much stock is left
      then update the new stock to the items table */

      // Check how many sales have been made and add one to sales number
      $countsales = mysql_query("SELECT * FROM sales");
      $countsales1 = mysql_num_rows($countsales);

      // Get what invoice number the last one was at and then add one
      if ($countsales1 != 0) {
          $invoicenumber = mysql_query("SELECT * FROM sales WHERE number = '$countsales1'");
          $invoicenumber1 = mysql_result($invoicenumber,0,0);
          $newinvoicenumber = $invoicenumber1 + 1;
      }

      for ($y = 0; $y < $countitem1; $y++) {

          // Get details of item
          $query = mysql_query("SELECT * FROM temp$data[0]");
          $itemid = mysql_result($query,$y,0);
          $quantity = mysql_result($query,$y,1);
          $querystock = mysql_query("SELECT * FROM items WHERE itemno = '$itemid'");
          $stock = mysql_result($querystock,0,2);

          // Reduce the stock by the quantity ordered
          $newstock = $stock - $quantity;
          mysql_query("UPDATE items SET itemstock = '$newstock' WHERE itemno = '$itemid'");

          // Get date from MySQL Server
          $currentdatetime = mysql_query('select now()');
          $curdatetime = mysql_result($currentdatetime,0);

          // Get item description
          $itemdes = mysql_result($querystock,0,1);

          // Get item Price
          $itemprice = mysql_result($querystock,0,4);

          // Calculate total amount for quantity ordered
          $itemamount = $itemprice * $quantity;

          // Check how many sales have been made and add one to sales number
          $countsales = mysql_query("SELECT * FROM sales");
          $countsales1 = mysql_num_rows($countsales);
          $newcountsales = $countsales1 + 1;

          // Add the temp table into the sales table
          // If this is the first sales ever then make the invoice number 1
          if ($countsales1 == 0) {
              mysql_query("INSERT INTO sales VALUES ('1','$curdatetime','$nameuser','Cash','$itemid','$itemdes','$quantity','$itemprice','$itemamount','1')");
          }

          // If there is already an item in sales table
          else {

              mysql_query("INSERT INTO sales VALUES ('$newinvoicenumber','$curdatetime','$nameuser','Cash','$itemid','$itemdes','$quantity','$itemprice','$itemamount','$newcountsales')");
          }
      }

      /* Print the Tax Invoice */
      include ("tax_invoice_top.html");

      // Print the items in the temp table
      $countitem = mysql_query("SELECT * FROM temp$data[0]");
      $countitem1 = mysql_num_rows($countitem);

      echo "
      <div align='center'>
        <table border='1' width='100%' bordercolorlight='#000000' id='table3' cellspacing='0'>
                <tr>
                        <td width='10%' align='left'><b><font face='Verdana' size='2'>Item ID</font></b></td>
                        <td width='50%' align='left'><b><font face='Verdana' size='2'>Description</font></b></td>
                        <td width='8%' align='left'><b><font face='Verdana' size='2'>Quantity</font></b></td>
                        <td align='left' width='8%'><b><font size='2' face='Verdana'>Tax</font></b></td>
                        <td align='left' width='9%'><b><font face='Verdana' size='2'>Price</font></b></td>
                        <td width='11%' align='left'><b><font face='Verdana' size='2'>Amount</font></b></td>
                </tr>";

      $fullcost = 0;

      // Loop for all the times already in the temptable and print them out
      for ($y = 0; $y < $countitem1; $y++) {
          for ($z = 0; $z < 2; $z++) {
              $query = mysql_query("SELECT * FROM temp$data[0]");
              $itemandquantity = mysql_result($query,$y,$z);

              if ($z == 0) {

                  echo "<tr><td width='10%' align='left'><font face='Verdana' size='2'>$itemandquantity</font></td>";
                  $theitemid = $itemandquantity;
                  $itemdes = mysql_query("SELECT * FROM items WHERE itemno = '$itemandquantity'");
                  $itemdes1 = mysql_result($itemdes,0,1);
                  echo "<td width='50%' align='left'><font face='Verdana' size='2'>$itemdes1</font></td>";
              }

              else {
                  echo "<td width='8%' align='left'><font face='Verdana' size='2'>$itemandquantity</font></td>";
                  $tax = mysql_result($itemdes,0,3);
                  echo "<td align='left' width='8%'><font face='Verdana' size='2'>$$tax</font></td>";

                  $itemprice1 = mysql_result($itemdes,0,4);
                  echo "<td align='left' width='9%'><font face='Verdana' size='2'>$$itemprice1</font></td>";

                  $totalprice = $itemandquantity * $itemprice1;
                  $fullcost = $fullcost + $totalprice;
                  echo "<td width='11%' align='left'><font face='Verdana' size='2'>$$totalprice</font></td>";
              }
          }
      }

      echo "</table></div>";

      // Print the total of all the items
      echo "<div align='center'>
        <table border='1' width='100%' bordercolorlight='#000000' id='table3' cellspacing='0'>
                <tr>
                        <td align='left' colspan='5'><b><font size='2' face='Verdana'>Total</font></b></td>
                        <td width='107' align='left'><font face='Verdana' size='2'>$$fullcost</font></td>
                </tr>
        </table>
      </div>";

      include ("tax_invoice_bottom.html");

      // Delete the file now
      unlink("temp.txt");

      // Make the new file now
      $filename ="temp.txt";
      $handle= fopen($filename,'w');
      fclose($handle);
  }
  }
      // If user and password are not correct print error message
      }
      else {
          echo "Incorrect username/password";
          exit;
      }
  }

?>