<?php
/******************************************************************************
 *                         Logout
 *                    ------------------------------
 *   Filename:             logout.php
 *   Project:              Uzzisoft - PHP Business Management System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.0
 *   Build Date:           2004-05-15
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Logs the user out.
 *
 *****************************************************************************/

  // Get the MySQL time
  $time = time();

  // Say that user is logged out
  $loggedout = true;

  // If there is a cookie
  if (isset($_COOKIE['cookie_info'])) {

      // Delete the cookie
      setcookie ("cookie_info", "", $time - 3600);

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

          // Get details of user from Database and put them in variables
          $query = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
          $nameuser = mysql_result($query,0,13);

          // The user is not logged out yet
          $loggedout = false;
      }

      // If user and password are not correct print error message
      else {
          echo "Incorrect username/password";
          exit;
      }
}

?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Logout</title>
</head>
<CENTER><a href="index.htm">Click here to Login in</a><BR>

<?php

  // If user is logged out then print message
  if ($loggedout == false) {
      echo "You are now logged out<BR>";
  }

?>

</CENTER>
</html>